"use client";
import {
  spacing
} from "./chunk-3UMV3GPE.mjs";

// src/use-spacer.ts
import { mapPropsVariants } from "@nextui-org/system";
import { spacer } from "@nextui-org/theme";
import { useDOMRef } from "@nextui-org/react-utils";
import { clsx, dataAttr } from "@nextui-org/shared-utils";
import { useMemo } from "react";
var getMargin = (value) => {
  var _a;
  return (_a = spacing[value]) != null ? _a : value;
};
function useSpacer(originalProps) {
  const [props, variantProps] = mapPropsVariants(originalProps, spacer.variantKeys);
  const { ref, as, className, x = 1, y = 1, ...otherProps } = props;
  const Component = as || "span";
  const domRef = useDOMRef(ref);
  const styles = useMemo(
    () => spacer({
      ...variantProps,
      className
    }),
    [...Object.values(variantProps), className]
  );
  const marginLeft = getMargin(x);
  const marginTop = getMargin(y);
  const getSpacerProps = (props2 = {}) => ({
    ref: domRef,
    ...props2,
    ...otherProps,
    "aria-hidden": dataAttr(true),
    className: clsx(styles, props2.className),
    style: {
      ...props2.style,
      ...otherProps.style,
      marginLeft,
      marginTop
    }
  });
  return { Component, getSpacerProps };
}

export {
  getMargin,
  useSpacer
};
