import * as _nextui_org_system from '@nextui-org/system';
import { HTMLNextUIProps, PropGetter } from '@nextui-org/system';
import { SpacerVariantProps } from '@nextui-org/theme';
import { ReactRef } from '@nextui-org/react-utils';
import { Space } from './utils.js';

interface UseSpacerProps extends HTMLNextUIProps<"span", SpacerVariantProps> {
    /**
     * Ref to the DOM node.
     */
    ref?: ReactRef<HTMLElement | null>;
    /**
     * The x-axis margin.
     * @default 1
     *
     * @see https://tailwindcss.com/docs/customizing-spacing#default-spacing-scale
     */
    x?: Space;
    /**
     * The y-axis margin.
     * @default 1
     *
     * @see https://tailwindcss.com/docs/customizing-spacing#default-spacing-scale
     */
    y?: Space;
}
declare const getMargin: (value: Space) => string;
declare function useSpacer(originalProps: UseSpacerProps): {
    Component: _nextui_org_system.As<any>;
    getSpacerProps: PropGetter<Record<string, unknown>, _nextui_org_system.DOMAttributes<_nextui_org_system.DOMElement>>;
};
type UseSpacerReturn = ReturnType<typeof useSpacer>;

export { UseSpacerProps, UseSpacerReturn, getMargin, useSpacer };
